# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define _name mediacollectiongrooming

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           %{_name}
Version:        0.0.6
Release:        %{mybuildnumber}%{?dist}
Summary:        An additional set of utilities to help you groom your music collection

License:        GPLv3+
URL:            https://github.com/Rudd-O/%{_name}
Source:         %{_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  coreutils

# Requires:    moodbar, but no builds for Fedora

%global _description %{expand:
Duphunter is a very simple application that finds and lets you delete duplicate
files interactively, using a very efficient list interface where you can mark
files for preservation or deletion, and later commit your changes.

The scanning process should scale well into the millions of files.}

%description %_description

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{_name}
echo %{_bindir}/"*" >> %{pyproject_files}


%check
%tox


%files -f %{pyproject_files}

%doc README.md


%changelog
* Wed Feb 21 2024 Manuel Amador <rudd-o@rudd-o.com> 0.0.26-1
- First RPM packaging release
